SerializableParanamer (Jackson module: Paranamer 2.8.0 API)
Date: 2016-07-04

com.fasterxml.jackson.module.paranamer

## Class SerializableParanamer

- java.lang.Object
- - com.fasterxml.jackson.module.paranamer.SerializableParanamer

- All Implemented Interfaces:
    Serializable

      public class SerializableParanamer
      extends Object
      implements Serializable

  Simple wrapper used to hide the fact that paranamer accessor itself if not JDK serializable in a way to keep actual `ObjectMapper` / `ObjectReader` serializable.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.thoughtworks.paranamer.Paranamer` | `_paranamer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializableParanamer()`
    `SerializableParanamer(com.thoughtworks.paranamer.Paranamer paranamer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected com.thoughtworks.paranamer.Paranamer` | `defaultParanamer()` Overridable method in case someone really wants to sub-class this implementation.
    `String` | `findParameterName(com.fasterxml.jackson.databind.introspect.AnnotatedParameter param)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _paranamer

          protected transient com.thoughtworks.paranamer.Paranamer _paranamer

  - ### Constructor Detail

    - #### SerializableParanamer

          public SerializableParanamer()

    - #### SerializableParanamer

          public SerializableParanamer(com.thoughtworks.paranamer.Paranamer paranamer)

  - ### Method Detail

    - #### defaultParanamer

          protected com.thoughtworks.paranamer.Paranamer defaultParanamer()

      Overridable method in case someone really wants to sub-class this implementation.

    - #### findParameterName

          public String findParameterName(com.fasterxml.jackson.databind.introspect.AnnotatedParameter param)

Copyright © 2016 FasterXML. All rights reserved.